# Font
font_family Iosevka Nerd Font
font_size 12.0

# url handler
url_color #ebcb8b
# url_color #e5c07b
url_style curly
open_url_modifiers kitty_mod
open_url_with default
url_prefixes http https file ftp

# Ring
enable_audio_bell yes
bell_on_tab yes

allow_remote_control yes

remember_window_size  no
raw_minimal_borders yes
tab_title_template "{index}:{title}"
initial_window_width 640
initial_window_height 480

background_opacity 0.95
background_image none
dim_opacity 0.65

# --- Nord --- #
cursor                   #d8dee9
cursor_text_color        #2e3440
foreground               #d8dee9
background               #2e3440
selection_foreground     #2e3440
selection_background     #d8dee9
color0                   #3b4252
color8                   #4c566a
color1                   #bf616a
color9                   #bf616a
color2                   #a3be8c
color10                  #a3be8c
color3                   #ebcb8b
color11                  #ebcb8b
color4                   #81a1c1
color12                  #81a1c1
color5                   #b48ead
color13                  #b48ead
color6                   #88c0d0
color14                  #8fbcbb
color7                   #e5e9f0
color15                  #eceff4
# -- OneDark -- #
# cursor                   #bbc2cf
# cursor_text_color        #282c34
# foreground               #abb2bf
# background               #282c34
# selection_foreground     #282c34
# selection_background     #abb2bf
# color0                   #282c34
# color8                   #3e4452
# color1                   #be5046
# color9                   #e06c75
# color2                   #98c379
# color10                  #98c379
# color3                   #d19a66
# color11                  #e5c07b
# color4                   #61afef
# color12                  #61afef
# color5                   #c678dd
# color13                  #c678dd
# color6                   #56b6c2
# color14                  #56b6c2
# color7                   #abb2bf
# color15                  #bbc2cf

map shift+up move_window up
map shift+left move_window left
map shift+right move_window right
map shift+down move_window down

map ctrl+left resize_window narrower
map ctrl+right resize_window wider
map ctrl+up resize_window taller
map ctrl+down resize_window shorter

map ctrl+f2 detach_window
map ctrl+f3 detach_tab
map ctrl+f4 detach_window new-tab
